// This is -*- C++ -*-
// $Id: normal.cc,v 1.2 1998/08/19 16:53:21 hp Exp $

/* normal.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <math.h>
#include "statfn.h"
#include "normal.h"

Estimate
normal_ci_mean(double c, const DataSet& ds)
{
  double m = ds.mean();
  double se = ds.sdevs() / sqrt(ds.size());
  double d = inverse_normal_cdf((1+c)/2);

  Estimate ci;
  ci.set_confidence(c);
  ci.set_by_error(m, se*d);
  return ci;
}


// $Id: normal.cc,v 1.2 1998/08/19 16:53:21 hp Exp $
